Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class IvyDependencyManager

    java.lang.Object
      org.codehaus.groovy.grails.resolve.AbstractIvyDependencyManager
          org.codehaus.groovy.grails.resolve.IvyDependencyManager

All Implemented Interfaces:
  DependencyDefinitionParser, DependencyResolver

    class IvyDependencyManager
    extends AbstractIvyDependencyManager

Implementation that uses Apache Ivy under the hood.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class AbstractIvyDependencyManager
ALL_CONFIGURATIONS, BUILD_CONFIGURATION, COMPILE_CONFIGURATION, DOCS_CONFIGURATION, NO_EXCLUDE_RULES, PROVIDED_CONFIGURATION, RUNTIME_CONFIGURATION, SNAPSHOT_CHANGING_PATTERN, TEST_CONFIGURATION, applicationName, applicationVersion, buildSettings, configurationNames, dependencies, dependencyDescriptors, hasApplicationDependencies, includeJavadoc, includeSource, ivySettings, legacyResolve, metadata, metadataRegisteredPluginNames, moduleDescriptor, modules, orgToDepMap, pluginDependencyDescriptors, pluginNameToDescriptorMap, readPom, usedConfigurations

Property Summary
`boolean` | `defaultDependenciesProvided`
`boolean` | `inheritRepositories`
`boolean` | `inheritsAll`
`java.util.Collection` | `moduleExcludes`
`boolean` | `pluginsOnly`
`java.util.Collection` | `repositoryData`
`boolean` | `resolveErrors`
`org.apache.ivy.plugins.repository.TransferListener` | `transferListener`

Constructor Summary
`IvyDependencyManager(java.lang.String applicationName, java.lang.String applicationVersion, BuildSettings settings = null, Metadata metadata = null, org.apache.ivy.core.settings.IvySettings ivySettings = new IvySettings()` Creates a new IvyDependencyManager instance

Method Summary
`java.util.Set` | `getApplicationDependencyDescriptors(java.lang.String scope = null)` Returns all of the dependency descriptors for dependencies of the application and not those inherited from frameworks or plugins
`java.util.Set` | `getApplicationPluginDependencyDescriptors(java.lang.String scope = null)` Returns all of the dependency descriptors for dependencies of the application and not those inherited from frameworks or plugins
`java.util.Set` | `getEffectivePluginDependencyDescriptors()` The plugin dependencies excluding non-exported transitive deps and collapsed to the highest version of each dependency.
`java.util.Set` | `getExportedDependencyDescriptors(java.lang.String scope = null)` Returns all the dependency descriptors for dependencies of a plugin that have been exported for use in the application
`java.util.Set` | `getModuleRevisionIds(java.lang.String org)`
`boolean` | `isExcluded(java.lang.String name)`
`boolean` | `isPluginConfiguredByApplication(java.lang.String name)`
`org.apache.ivy.core.resolve.IvyNode[]` | `listDependencies(java.lang.String conf = null)` Lists all known dependencies for the given configuration name (defaults to all dependencies)
`org.apache.ivy.core.report.ResolveReport` | `loadDependencies(java.lang.String conf = '')` Similar to resolveDependencies, but will load the resolved dependencies into the application RootLoader if it exists
`void` | `resetGrailsPluginsResolver()` Resets the Grails plugin resolver if it is used
`org.apache.ivy.core.report.ResolveReport` | `resolveAllDependencies()` Resolves all dependencies for all known configurations
`java.util.List` | `resolveApplicationDependencies(java.lang.String conf = '')` Resolves only application dependencies and returns a list of the resolves JAR files
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies(org.apache.ivy.core.module.descriptor.Configuration conf)`
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies(java.lang.String conf)` Performs a resolve of all dependencies for the given configuration, potentially going out to the internet to download jars if they are not found locally
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies(java.lang.String conf, java.util.Map args)` Performs a resolve of all dependencies for the given configuration, potentially going out to the internet to download jars if they are not found locally
`org.apache.ivy.core.report.ResolveReport` | `resolveDependencies()` Performs a resolve of all dependencies, potentially going out to the internet to download jars if they are not found locally
`java.util.List` | `resolveExportedDependencies(java.lang.String conf = '')` Resolves only plugin dependencies that should be exported to the application
`org.apache.ivy.core.report.ResolveReport` | `resolvePluginDependencies(java.lang.String conf = '', java.util.Map args = [:])` Performs a resolve of declared plugin dependencies (zip files containing plugin distributions)
`void` | `serialize(java.lang.Object builder, boolean createRoot = true)` Serializes the parsed dependencies using the given builder.

Methods inherited from class AbstractIvyDependencyManager
configureDependencyDescriptor, configureDependencyDescriptor, createCopy, createExcludeArtifactId, createExcludeArtifactId, createModuleDescriptor, getApplicationName, getApplicationVersion, getBuildSettings, getChainResolver, getConfigurationMappings, getConfigurationNames, getDependencies, getIvySettings, getLogger, getMetadata, getMetadataRegisteredPluginNames, getModuleDescriptor, getPluginDependencyDescriptor, getPluginDependencyDescriptors, getPluginDependencyNames, getPluginExcludes, getReadPom, getResolveEngine, getUsedConfigurations, hasApplicationDependencies, isExcludedFromPlugin, isExcludedFromPlugin, isLegacyResolve, isOffline, isPluginTransitive, isPluginTransitivelyIncluded, parseDependencies, parseDependencies, parseDependencies, readDependenciesFromPOM, registerDependency, registerPluginDependency, setApplicationName, setApplicationVersion, setChainResolver, setIncludeJavadoc, setIncludeSource, setLegacyResolve, setLogger, setMetadataRegisteredPluginNames, setModuleDescriptor, setOffline, setReadPom, setResolveEngine, setUsedConfigurations

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### defaultDependenciesProvided

    boolean defaultDependenciesProvided

### inheritRepositories

    boolean inheritRepositories

### inheritsAll

    boolean inheritsAll

### moduleExcludes

    java.util.Collection moduleExcludes

### pluginsOnly

    boolean pluginsOnly

### repositoryData

    java.util.Collection repositoryData

### resolveErrors

    boolean resolveErrors

### transferListener

    org.apache.ivy.plugins.repository.TransferListener transferListener

Constructor Detail

### IvyDependencyManager

    IvyDependencyManager(java.lang.String applicationName, java.lang.String applicationVersion, BuildSettings settings = null, Metadata metadata = null, org.apache.ivy.core.settings.IvySettings ivySettings = new IvySettings()

  Creates a new IvyDependencyManager instance

Method Detail

### getApplicationDependencyDescriptors

    java.util.Set getApplicationDependencyDescriptors(java.lang.String scope = null)

  Returns all of the dependency descriptors for dependencies of the application and not those inherited from frameworks or plugins

### getApplicationPluginDependencyDescriptors

    java.util.Set getApplicationPluginDependencyDescriptors(java.lang.String scope = null)

  Returns all of the dependency descriptors for dependencies of the application and not those inherited from frameworks or plugins

### getEffectivePluginDependencyDescriptors

    java.util.Set getEffectivePluginDependencyDescriptors()

  The plugin dependencies excluding non-exported transitive deps and collapsed to the highest version of each dependency.

### getExportedDependencyDescriptors

    java.util.Set getExportedDependencyDescriptors(java.lang.String scope = null)

  Returns all the dependency descriptors for dependencies of a plugin that have been exported for use in the application

### getModuleRevisionIds

    java.util.Set getModuleRevisionIds(java.lang.String org)

### isExcluded

    boolean isExcluded(java.lang.String name)

### isPluginConfiguredByApplication

    boolean isPluginConfiguredByApplication(java.lang.String name)

### listDependencies

    org.apache.ivy.core.resolve.IvyNode[] listDependencies(java.lang.String conf = null)

  Lists all known dependencies for the given configuration name (defaults to all dependencies)

### loadDependencies

    org.apache.ivy.core.report.ResolveReport loadDependencies(java.lang.String conf = '')

  Similar to resolveDependencies, but will load the resolved dependencies into the application RootLoader if it exists
  throws:
    IllegalStateException If no RootLoader exists
  Returns:
    The ResolveReport

### resetGrailsPluginsResolver

    void resetGrailsPluginsResolver()

  Resets the Grails plugin resolver if it is used

### resolveAllDependencies

    org.apache.ivy.core.report.ResolveReport resolveAllDependencies()

  Resolves all dependencies for all known configurations
  Returns:
    A ResolveReport containing all of the configurations

### resolveApplicationDependencies

    java.util.List resolveApplicationDependencies(java.lang.String conf = '')

  Resolves only application dependencies and returns a list of the resolves JAR files

### resolveDependencies

    org.apache.ivy.core.report.ResolveReport resolveDependencies(org.apache.ivy.core.module.descriptor.Configuration conf)

### resolveDependencies

    org.apache.ivy.core.report.ResolveReport resolveDependencies(java.lang.String conf)

  Performs a resolve of all dependencies for the given configuration, potentially going out to the internet to download jars if they are not found locally

### resolveDependencies

    org.apache.ivy.core.report.ResolveReport resolveDependencies(java.lang.String conf, java.util.Map args)

  Performs a resolve of all dependencies for the given configuration, potentially going out to the internet to download jars if they are not found locally

### resolveDependencies

    org.apache.ivy.core.report.ResolveReport resolveDependencies()

  Performs a resolve of all dependencies, potentially going out to the internet to download jars if they are not found locally

### resolveExportedDependencies

    java.util.List resolveExportedDependencies(java.lang.String conf = '')

  Resolves only plugin dependencies that should be exported to the application

### resolvePluginDependencies

    org.apache.ivy.core.report.ResolveReport resolvePluginDependencies(java.lang.String conf = '', java.util.Map args = [:])

  Performs a resolve of declared plugin dependencies (zip files containing plugin distributions)

### serialize

    void serialize(java.lang.Object builder, boolean createRoot = true)

  Serializes the parsed dependencies using the given builder.
  deprecated:
    Will be removed in a future release
  Parameters:
    `builder` - A builder such as groovy.xml.MarkupBuilder

Groovy Documentation